<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/SpeakerConstants/SpeakerConstants.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li><li class="navelem"><a class="el" href="dir_b7463c83c41dae53927c12ce5c5c2e58.html">SpeakerConstants</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SpeakerConstants.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_speaker_constants_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_SPEAKERCONSTANTS_SPEAKERCONSTANTS_H_</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_SPEAKERCONSTANTS_SPEAKERCONSTANTS_H_</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;cstdint&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>avs {</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html">   27</a></span>&#160;<span class="keyword">namespace </span>speakerConstants {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a79b2cf2cf3f94c52de9557874d4014f4">   30</a></span>&#160;<span class="keyword">const</span> int8_t <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a79b2cf2cf3f94c52de9557874d4014f4">AVS_SET_VOLUME_MIN</a> = 0;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a6405122107afaf3adb0373ad9ce736ab">   33</a></span>&#160;<span class="keyword">const</span> int8_t <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a6405122107afaf3adb0373ad9ce736ab">AVS_SET_VOLUME_MAX</a> = 100;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#af5451bad2815d091c699efa9d2845c22">   36</a></span>&#160;<span class="keyword">const</span> int8_t <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#af5451bad2815d091c699efa9d2845c22">AVS_ADJUST_VOLUME_MIN</a> = -100;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a218fbc357e2021068526453721bc293f">   39</a></span>&#160;<span class="keyword">const</span> int8_t <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a218fbc357e2021068526453721bc293f">AVS_ADJUST_VOLUME_MAX</a> = 100;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a48d3ac54cfa29e7eb471a2e3110785e9">   42</a></span>&#160;<span class="keyword">const</span> int8_t <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a48d3ac54cfa29e7eb471a2e3110785e9">MIN_UNMUTE_VOLUME</a> = 10;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;}  <span class="comment">// namespace speakerConstants</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;}  <span class="comment">// namespace avs</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_AVS_INCLUDE_AVSCOMMON_AVS_SPEAKERCONSTANTS_SPEAKERCONSTANTS_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants_html_a6405122107afaf3adb0373ad9ce736ab"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a6405122107afaf3adb0373ad9ce736ab">alexaClientSDK::avsCommon::avs::speakerConstants::AVS_SET_VOLUME_MAX</a></div><div class="ttdeci">const int8_t AVS_SET_VOLUME_MAX</div><div class="ttdoc">AVS setVolume Maximum. </div><div class="ttdef"><b>Definition:</b> SpeakerConstants.h:33</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants_html_a218fbc357e2021068526453721bc293f"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a218fbc357e2021068526453721bc293f">alexaClientSDK::avsCommon::avs::speakerConstants::AVS_ADJUST_VOLUME_MAX</a></div><div class="ttdeci">const int8_t AVS_ADJUST_VOLUME_MAX</div><div class="ttdoc">AVS adjustVolume Maximum. </div><div class="ttdef"><b>Definition:</b> SpeakerConstants.h:39</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants_html_af5451bad2815d091c699efa9d2845c22"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#af5451bad2815d091c699efa9d2845c22">alexaClientSDK::avsCommon::avs::speakerConstants::AVS_ADJUST_VOLUME_MIN</a></div><div class="ttdeci">const int8_t AVS_ADJUST_VOLUME_MIN</div><div class="ttdoc">AVS adjustVolume Minimum. </div><div class="ttdef"><b>Definition:</b> SpeakerConstants.h:36</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants_html_a48d3ac54cfa29e7eb471a2e3110785e9"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a48d3ac54cfa29e7eb471a2e3110785e9">alexaClientSDK::avsCommon::avs::speakerConstants::MIN_UNMUTE_VOLUME</a></div><div class="ttdeci">const int8_t MIN_UNMUTE_VOLUME</div><div class="ttdoc">Default unmute volume level. </div><div class="ttdef"><b>Definition:</b> SpeakerConstants.h:42</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants_html_a79b2cf2cf3f94c52de9557874d4014f4"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1speaker_constants.html#a79b2cf2cf3f94c52de9557874d4014f4">alexaClientSDK::avsCommon::avs::speakerConstants::AVS_SET_VOLUME_MIN</a></div><div class="ttdeci">const int8_t AVS_SET_VOLUME_MIN</div><div class="ttdoc">AVS setVolume Minimum. </div><div class="ttdef"><b>Definition:</b> SpeakerConstants.h:30</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
